Installer - Feature #5838

Add parameter to toggle debug logging
05/20/2014 06:07 PM - Dominic Cleal

Status: Closed

Priority: Normal
Assignee: Dominic Cleal
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/328

Description
A parameter to toggle whether debug level logging is enabled would be useful, which means full stack traces would also get logged.

http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging

May need some "enablement" in core Foreman.

Related issues:
Blocked by Foreman - Feature #6524: log settings should be part of /etc/forem... Closed 07/08/2014
Blocks Installer - Bug #7365: Intermittent smart proxy duplicate registration... Rejected 09/05/2014

Associated revisions

Revision a031f0da - 06/05/2015 05:49 AM - Dominic Cleal

fixes #5838 - add logging_level, loggers parameters

History

#1 - 07/08/2014 10:29 AM - Dominic Cleal
- Blocked by Feature #6524: log settings should be part of /etc/foreman/settings added

#2 - 09/05/2014 06:57 AM - Dominic Cleal
- Blocks Bug #7365: Intermittent smart proxy duplicate registration error on Ubuntu 14.04 added

#3 - 06/05/2015 05:07 AM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/puppet-foreman/pull/328 added

#4 - 06/08/2015 04:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|a031f0da3d33{5b42a669dc8270bd5f990255a4c.
